Bug 32087 - Installation failed during attempted reload after repartioning due to /usr partition being too small.
Summary: Installation failed during attempted reload after repartioning due to /usr pa...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i586 Linux
medium
low
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-17 17:48 UTC by Michael A. McAngus
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-21 19:41:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael A. McAngus 2001-03-17 17:48:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i586)


I attempted to install RH Linux 7.0 and created a /usr partion that was too
small.  Installation stopped and a pop-up window informed me of this fact. 
Installer allowed me to go back and change partion allocations.  When I
attempted to continue installation, I received a message that Installer
would have to reboot to proceed, then I received the following:

--------------

An exception condition has occured.  This is most likely a but.  Please
copy the full text of this exception and file a bug report at
http://bugzilla.redhat.com/bugzilla

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line
20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1468, in
doInstall
    self.fstab.savePartitions ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 220, in
savePartitions
    sys.exit(0)
NameError: sys

Local variables in innermost frame:
self: <fstab.GuiFstab instance at 83fa4b8>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

--------------

The second installation attempt (with properly sized /usr partion)
succeeded.

Reproducible: Didn't try

Comment 1 Michael Fulbright 2001-03-21 19:41:03 UTC
This issue has been fixed in CVS.


Note You need to log in before you can comment on or make changes to this bug.